# zlib_stream::basic_zip_istream< charT, traits > Class Template Reference

`#include <zipstreamimpl.h>`

Inheritance diagram for zlib_stream::basic_zip_istream< charT, traits >:
[legend]
Collaboration diagram for zlib_stream::basic_zip_istream< charT, traits >:
[legend]

List of all members.

## Public Types
typedef std::basic_istream < charT, traits > & | istream_reference
typedef std::basic_istream < charT, traits > | istream_type
## Public Member Functions
| basic_zip_istream (istream_reference istream, int window_size=-15, size_t read_buffer_size=zstream_default_buffer_size, size_t input_buffer_size=zstream_default_buffer_size)
bool | check_crc (void)
bool | check_data_size (void) const
long | get_gzip_crc (void) const
long | get_gzip_data_size (void) const
bool | is_gzip (void) const
## Protected Member Functions
int | check_header (void)
void | read_footer (void)
## Protected Attributes
long | _gzip_crc
long | _gzip_data_size
bool | _is_gzip

### template<class charT, class traits = std::char_traits<charT>>
class zlib_stream::basic_zip_istream< charT, traits >

## Member Typedef Documentation

template<class charT , class traits = std::char_traits<charT>>

typedef std::basic_istream<charT, traits>& zlib_stream::basic_zip_istream< charT, traits >::istream_reference

Reimplemented from zlib_stream::basic_unzip_streambuf< charT, traits >.

template<class charT , class traits = std::char_traits<charT>>

typedef std::basic_istream<charT, traits> zlib_stream::basic_zip_istream< charT, traits >::istream_type

## Constructor & Destructor Documentation

template<class charT , class traits = std::char_traits<charT>>

zlib_stream::basic_zip_istream< charT, traits >::basic_zip_istream | ( | istream_reference | istream,
|  | int | window_size = `-15`,
|  | size_t | read_buffer_size = `zstream_default_buffer_size`,
|  | size_t | input_buffer_size = `zstream_default_buffer_size` |
| ) |  |  | `[explicit]`

## Member Function Documentation

template<class charT , class traits = std::char_traits<charT>>

bool zlib_stream::basic_zip_istream< charT, traits >::check_crc | ( | void |  | ) | `[inline]`

template<class charT , class traits = std::char_traits<charT>>

bool zlib_stream::basic_zip_istream< charT, traits >::check_data_size | ( | void |  | ) | const`[inline]`

template<class charT , class traits = std::char_traits<charT>>

int zlib_stream::basic_zip_istream< charT, traits >::check_header | ( | void |  | ) | `[protected]`

template<class charT , class traits = std::char_traits<charT>>

long zlib_stream::basic_zip_istream< charT, traits >::get_gzip_crc | ( | void |  | ) | const`[inline]`

template<class charT , class traits = std::char_traits<charT>>

long zlib_stream::basic_zip_istream< charT, traits >::get_gzip_data_size | ( | void |  | ) | const`[inline]`

template<class charT , class traits = std::char_traits<charT>>

bool zlib_stream::basic_zip_istream< charT, traits >::is_gzip | ( | void |  | ) | const`[inline]`

template<class charT , class traits = std::char_traits<charT>>

void zlib_stream::basic_zip_istream< charT, traits >::read_footer | ( | void |  | ) | `[protected]`

## Member Data Documentation

template<class charT , class traits = std::char_traits<charT>>

long zlib_stream::basic_zip_istream< charT, traits >::_gzip_crc`[protected]`

template<class charT , class traits = std::char_traits<charT>>

long zlib_stream::basic_zip_istream< charT, traits >::_gzip_data_size`[protected]`

template<class charT , class traits = std::char_traits<charT>>

bool zlib_stream::basic_zip_istream< charT, traits >::_is_gzip`[protected]`

The documentation for this class was generated from the following file:

- zipstreamimpl.h